Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class DataTypeBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.DataTypeBean

    public class DataTypeBean

extends ResourceBean

Version:
  $Id: DataTypeBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Constructor Summary
`DataTypeBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler referenceHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`java.lang.Integer` | `getDecimals()`
`java.lang.Integer` | `getMaxLength()`
`java.lang.Object` | `getMaxValue()`
`java.lang.Object` | `getMinValue()`
`java.lang.String` | `getRegularExpr()`
`byte` | `getType()`
`boolean` | `isStrictMax()`
`boolean` | `isStrictMin()`
`void` | `setDecimals(java.lang.Integer decimals)`
`void` | `setMaxLength(java.lang.Integer maxLength)`
`void` | `setMaxValue(java.lang.Object maxValue)`
`void` | `setMinValue(java.lang.Object minValue)`
`void` | `setRegularExpr(java.lang.String regularExpr)`
`void` | `setStrictMax(boolean strictMax)`
`void` | `setStrictMin(boolean strictMin)`
`void` | `setType(byte type)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTypeBean

    public DataTypeBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler referenceHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getDecimals

    public java.lang.Integer getDecimals()

### setDecimals

    public void setDecimals(java.lang.Integer decimals)

### getMaxLength

    public java.lang.Integer getMaxLength()

### setMaxLength

    public void setMaxLength(java.lang.Integer maxLength)

### getMaxValue

    public java.lang.Object getMaxValue()

### setMaxValue

    public void setMaxValue(java.lang.Object maxValue)

### getMinValue

    public java.lang.Object getMinValue()

### setMinValue

    public void setMinValue(java.lang.Object minValue)

### getRegularExpr

    public java.lang.String getRegularExpr()

### setRegularExpr

    public void setRegularExpr(java.lang.String regularExpr)

### getType

    public byte getType()

### setType

    public void setType(byte type)

### isStrictMax

    public boolean isStrictMax()

### setStrictMax

    public void setStrictMax(boolean strictMax)

### isStrictMin

    public boolean isStrictMin()

### setStrictMin

    public void setStrictMin(boolean strictMin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.